<h1 mat-dialog-title>Row Action :: <strong>{{action}}</strong></h1>
<div mat-dialog-content>
  <div *ngIf="action != 'Delete'; else elseTemplate">
    <mat-form-field >
      <input placeholder="{{action}} Name" matInput [(ngModel)]="local_data.name">
      </mat-form-field>
  
    <mat-form-field >
      <input placeholder="{{action}} Age" matInput [(ngModel)]="local_data.age">
    </mat-form-field>
  
    <mat-form-field>
      <input placeholder="{{action}} Address" matInput [(ngModel)]="local_data.address">
    </mat-form-field>
  
  </div>
  
  <ng-template #elseTemplate>
    Sure to delete <b>{{local_data.name}}</b>?
  </ng-template>
</div>
<div mat-dialog-actions>
  <button mat-button (click)="doAction()">{{action}}</button>
  <button mat-button (click)="closeDialog()" mat-flat-button color="warn">Cancel</button>
</div>